a13nDocs

列出线程

GET/api/v1/threads

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

查询参数

session_id?string|null
label?array<string>|null
limit?Limit
范围1 <= value <= 100
默认值50
cursor?string|null

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

响应体

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/threads"
{  "items": [    {      "archived_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "current_run_id": "string",      "id": "string",      "labels": {        "property1": "string",        "property2": "string"      },      "last_run_id": "string",      "mcp_headers": {        "property1": {          "property1": "string",          "property2": "string"        },        "property2": {          "property1": "string",          "property2": "string"        }      },      "message_history": [        {          "property1": null,          "property2": null        }      ],      "origin": "new",      "origin_run_id": "string",      "origin_thread_id": "string",      "origin_tool_call_id": "string",      "session_id": "string",      "subagent": "string",      "updated_at": "2019-08-24T14:15:22Z",      "version": 0,      "workspace_id": "string"    }  ],  "next_cursor": "string"}